## PDC enumerations and flags

PDC enumerations and flags

## Functions

const gchar * | qmi_pdc_configuration_type_get_string ()

## Types and Values

enum | QmiPdcConfigurationType

## Object Hierarchy

        GEnum
        ╰── QmiPdcConfigurationType

## Description

This section defines enumerations and flags used in the PDC service interface.

## Functions

### qmi_pdc_configuration_type_get_string ()

    const gchar *
    qmi_pdc_configuration_type_get_string (QmiPdcConfigurationType val);

Gets the nickname string for the QmiPdcConfigurationType specified at `val` .

#### Parameters

val | a QmiPdcConfigurationType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.18

## Types and Values

### enum QmiPdcConfigurationType

Configuration type for change/load configuration.

#### Members

QMI_PDC_CONFIGURATION_TYPE_PLATFORM | Platform |
QMI_PDC_CONFIGURATION_TYPE_SOFTWARE | Software |

Since: 1.18